Subject: OF modalias

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 19 Aug 2009 16:15:03 +0200

Hello,

I'm confused by the modalias'es created by OF devices, e.g.:

  # cat /sys/devices/f0000000.soc5200/f0000f00.spi/modalias 
  of:NspiT<NULL>Cfsl,mpc5200b-spiCfsl,mpc5200-spi

First of all, the string "<NULL>" looks like an error. 

I could then dynamically load a driver module for the SPI using:

  # modprobe `cat sys/devices/f0000000.soc5200/f0000f00.spi/modalias`

This does make sense for the SPI device, but there are OF devices which
cannot really be used by a module driver, e.g.:

  # cat /sys/devices/f0000000.soc5200/f0000500.interrupt-controller/modalias
  of:Ninterrupt-controllerT<NULL>Cfsl,mpc5200b-picCfsl,mpc5200-pic

The same for localbus, cdm, etc. Does it make sense for these 
to create a modalias file?

Likely I have missed something. Thanks for clarification.

Wolfgang.